Subject: no VRAM

From: Matthew Wilcox <[email-masked]>
Date: Wed, 29 Oct 1997 15:04:11 +0000 (GMT)

I sneaked into a deserted spodpit last night, unplugged one of their
machines and downloaded everything the instructions said to.  Then I
tried to boot the kernel.  The screen fills up with garbage and nothing
further happens.  Is this due to having no VRAM?  I have a 4MB SIMM and
a 16MB SIMM, I've tried swapping them round and removing the 4.  Doesn't
work.  I'll be buying a megabyte at the show, so this is only a temporary
setback if that's the reason.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 29 Oct 1997 22:33:31 +0000 (GMT)

> setback if that's the reason.

You are quite correct.  Linux needs at least 1MB VRAM...
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Ben Jefferys <[email-masked]>
Date: Wed, 29 Oct 1997 21:07:26 +0000

Hi (Hello),

I've got the stuff to install Linux from the Acorn Clan CD. I understand
this wasn't the whole thing - there were no kernels (it seemed) and
I had to upgrade the !PartMan app from the Web site. Two questions:

1. Do I need the other two directories in RedHat that are not supplied on
   the Clan disc (RedHat/RPMS *is* supplied)?

2. Is there some cunning place I can put these (and the other) files so
   that the RedHat installer can access them? I have no network card,
   my other HD is a PowerTec SCSI (I'm installing it on the original
   420Mb IDE drive), and it won't accept the CD as it isn't the RedHat
   one. This is something I'm sure someone else must have tackled successfully
   ;)

Thanks for any help!

-- 
  .  . ..Ben Jefferys.. .  .   .  . ..Docklands.. .  .   .  . ..London.. .  .

---

From: Pete Goodliffe <[email-masked]>
Date: Thu, 30 Oct 1997 09:18:19 +0000 (GMT)

Good morning!

Thanks to everyone who replies to messages on this mailing list, I've been
silently reading it for a few weeks, and with the information found I've
managed to get linux installed on my machine. Hurrah! However questions arise:

When lines of text reach the bottom of a screen all further text becomes
corrupted. Does anyone else experience this, and is it easily solved?

Is it usual to not be able to switch virtual terminals once X has started?

Pete

---

From: Bernhard Mogens Ege <[email-masked]>
Date: Thu, 30 Oct 1997 09:23:23 GMT

>>>>> "Pete" == Pete Goodliffe <[email-masked]> writes:

> Good morning!  Thanks to everyone who replies to messages on this
> mailing list, I've been silently reading it for a few weeks, and with
> the information found I've managed to get linux installed on my
> machine. Hurrah! However questions arise:

> When lines of text reach the bottom of a screen all further text
> becomes corrupted. Does anyone else experience this, and is it easily
> solved?

> Pete

I am experiencing the exact same problems and have not been able to find
the cause. I have been told that the bootloader v. 3.14 should fix it,
but it has not been released yet.

Bernhard

-- 
------------------------------------------------------------------------------
 Bernhard Mogens Ege, M.Sc.E.E.  |           | E-mail:      [email-masked]
 Laboratory of Image Analysis    |      /(   | Direct call:   +45 96 35 87 85
 Institute of Electronic Systems |   ._//(   | Switchboard:   +45 96 35 80 80
 Aalborg University              |  /  |  \  | Fax:           +45 98 15 40 08
 Frederik Bajersvej 7, D1-205    |  A  A  U  | Homepage:
 DK-9220 Aalborg East            |           | http://www.vision.auc.dk/~bme
------------------------------------------------------------------------------
  Home: H.C.Andersens Vej 26 st.mf., DK-9000 Aalborg, Phone: +45 20 42 99 26
------------------------------------------------------------------------------

---

From: James Craig <[email-masked]>
Date: Thu, 30 Oct 1997 10:11:49 +0000 (GMT)

> but it has not been released yet.

OK, I can't answer the bit about the junk at the bottom of the screen.
However, I think I know the answer to the X bit. :)
Under X in linux, you've normally got to use not just alt-Fn to switch to
a different VT, you've got to use Ctrl-Alt-Fn. This causes no end of chaos
for newbies - on #linux(IRC), it's one of the most commonly asked
questions.
Anyway, try Ctrl-Alt-Fn to switch *away* from X, and just alt-Fn to switch
back. Note that X doesn't run on the VT you started it on! It's probably
on F7 or thereabouts.

-- James Craig <[email-masked]>

---

From: Richard Simpson <[email-masked]>
Date: Thu, 30 Oct 1997 12:31:02 +0000 (GMT)

The text corruption problem happens when you only have 1 Mb VRAM.
Russel told me that the new boot loader (3.14?) should fix it.

Richard Simpson
Farnborough, Hants, Uk                 Fax: 01252 392118
[email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 30 Oct 1997 21:13:01 +0000 (GMT)

> corrupted. Does anyone else experience this, and is it easily solved?

Other people with 1MB VRAM do experiance this with the old !Linux app (it's
the boot loaders fault for not passing the right info onto the kernel).  There
is a new boot loader in existence in beta testing among a few people, and it
should be available at the Acorn Show this weekend.

Ok, so not everyone will be going/able to go to the show, and it will be
on the FTP site very soon (maybe even tonight).

> Is it usual to not be able to switch virtual terminals once X has started?

The version of X that ARM Linux uses is vanilla X11R6 - not XFree86.  This
means that it does not have the console switching features in it yet.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |